interactions:
- request:
    body: !!binary |
[encoded data, 2946251 characters]
      2Q0KLS01NzRlN2ZmZWQ4NDU1Y2IxNzdkZjA3ZTc0YTNmMDk4MC0tDQo=
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '2023370'
      Content-Type:
      - multipart/form-data; boundary=574e7ffed8455cb177df07e74a3f0980
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v2/media
  response:
    body:
      string: '{"id":"111912696164568298","type":"video","url":null,"preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/164/568/298/original/74c4a8e75e97f70d.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2187124},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0},"focus":{"x":-0.5,"y":0.3}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 0654ead6-bd9d-4830-a685-2b66e7a64f28
      X-Runtime:
      - '0.526277'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 202
      message: Accepted
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      User-Agent:
      - tests/v311
    method: GET
    uri: http://localhost:3000/api/v1/media/111912696164568298
  response:
    body:
      string: '{"id":"111912696164568298","type":"video","url":"http://localhost:3000/system/media_attachments/files/111/912/696/164/568/298/original/1938b9893d6da861.mp4","preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/164/568/298/original/74c4a8e75e97f70d.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":-0.5,"y":0.3},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2133962},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"4e7d56b9dc982b2eed57b89f0b28cc7a"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 0d96f6ad-8ca3-43c0-9285-44fc8f7805ac
      X-Runtime:
      - '0.014102'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: status=LOL+check+this+out&media_ids%5B%5D=111912696164568298
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '60'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - tests/v311
    method: POST
    uri: http://localhost:3000/api/v1/statuses
  response:
    body:
      string: '{"id":"111912696824500342","created_at":"2024-02-11T11:50:34.263Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/111912696824500342","url":"http://localhost:3000/@mastodonpy_test/111912696824500342","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"content":"\u003cp\u003eLOL
        check this out\u003c/p\u003e","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"111912686983985951","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2024-02-11T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","header":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","header_static":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","followers_count":0,"following_count":0,"statuses_count":2,"last_status_at":"2024-02-11","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"111912696164568298","type":"video","url":"http://localhost:3000/system/media_attachments/files/111/912/696/164/568/298/original/1938b9893d6da861.mp4","preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/164/568/298/original/74c4a8e75e97f70d.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":-0.5,"y":0.3},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2133962},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"747bf3280b0b6441affd762c60565cfd"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-RateLimit-Limit:
      - '300'
      X-RateLimit-Remaining:
      - '284'
      X-RateLimit-Reset:
      - '2024-02-11T12:00:00.305510Z'
      X-Request-Id:
      - c700533d-2885-472b-b876-86e87d09e22c
      X-Runtime:
      - '0.062387'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Authorization:
      - Bearer __MASTODON_PY_TEST_ACCESS_TOKEN
      Connection:
      - keep-alive
      Content-Length:
      - '0'
      User-Agent:
      - tests/v311
    method: DELETE
    uri: http://localhost:3000/api/v1/statuses/111912696824500342
  response:
    body:
      string: '{"id":"111912696824500342","created_at":"2024-02-11T11:50:34.263Z","in_reply_to_id":null,"in_reply_to_account_id":null,"sensitive":false,"spoiler_text":"","visibility":"public","language":"ja","uri":"http://localhost:3000/users/mastodonpy_test/statuses/111912696824500342","url":"http://localhost:3000/@mastodonpy_test/111912696824500342","replies_count":0,"reblogs_count":0,"favourites_count":0,"edited_at":null,"favourited":false,"reblogged":false,"muted":false,"bookmarked":false,"pinned":false,"text":"LOL
        check this out","filtered":[],"reblog":null,"application":{"name":"Mastodon.py
        test suite","website":null},"account":{"id":"111912686983985951","username":"mastodonpy_test","acct":"mastodonpy_test","display_name":"John
        Lennon","locked":true,"bot":false,"discoverable":null,"group":false,"created_at":"2024-02-11T00:00:00.000Z","note":"\u003cp\u003eI
        walk funny\u003c/p\u003e","url":"http://localhost:3000/@mastodonpy_test","avatar":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","avatar_static":"http://localhost:3000/system/accounts/avatars/111/912/686/983/985/951/original/d12b874e353776ad.jpg","header":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","header_static":"http://localhost:3000/system/accounts/headers/111/912/686/983/985/951/original/7293a7e8cf057bc7.jpg","followers_count":0,"following_count":0,"statuses_count":1,"last_status_at":"2024-02-11","noindex":false,"emojis":[],"roles":[],"fields":[{"name":"bread","value":"toasty.","verified_at":null},{"name":"lasagna","value":"no!!!","verified_at":null}]},"media_attachments":[{"id":"111912696164568298","type":"video","url":"http://localhost:3000/system/media_attachments/files/111/912/696/164/568/298/original/1938b9893d6da861.mp4","preview_url":"http://localhost:3000/system/media_attachments/thumbnails/111/912/696/164/568/298/original/74c4a8e75e97f70d.jpg","remote_url":null,"preview_remote_url":null,"text_url":null,"meta":{"focus":{"x":-0.5,"y":0.3},"colors":{"background":"#dcf4fd","foreground":"#23211f","accent":"#47372d"},"original":{"width":640,"height":640,"frame_rate":"30/1","duration":7.3,"bitrate":2133962},"small":{"width":400,"height":400,"size":"400x400","aspect":1.0}},"description":"me
        when a cat","blurhash":"UPNKI$xbloIA9ZoI.8RjK-oy%NkD%hW?i^t6"}],"mentions":[],"tags":[],"emojis":[],"card":null,"poll":null}'
    headers:
      Cache-Control:
      - private, no-store
      Content-Security-Policy:
      - default-src 'none'; frame-ancestors 'none'; form-action 'none'
      Content-Type:
      - application/json; charset=utf-8
      ETag:
      - W/"d60f1bc6a79ada7b098c3b9fd5f21a39"
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Transfer-Encoding:
      - chunked
      Vary:
      - Accept, Origin
      X-Content-Type-Options:
      - nosniff
      X-Download-Options:
      - noopen
      X-Frame-Options:
      - SAMEORIGIN
      X-Permitted-Cross-Domain-Policies:
      - none
      X-Request-Id:
      - 69ea5bad-743f-44eb-b14e-c788fea049cb
      X-Runtime:
      - '0.035289'
      X-XSS-Protection:
      - 1; mode=block
    status:
      code: 200
      message: OK
version: 1
